<?php

namespace common\models;

use Yii;

/**
 * This is the model class for table "employment".
 *
 * @property integer $employment_id
 * @property string $name
 *
 * @property VacancyEmployment[] $vacancyEmployments
 */
class Employment extends \yii\db\ActiveRecord
{
    /**
     * @inheritdoc
     */
    public static function tableName()
    {
        return 'employment';
    }

    /**
     * @inheritdoc
     */
    public function rules()
    {
        return [
            [['name'], 'string', 'max' => 255],
        ];
    }

    /**
     * @inheritdoc
     */
    public function attributeLabels()
    {
        return [
            'employment_id' => Yii::t('app', 'employment_id'),
            'name' => Yii::t('app', 'name'),
        ];
    }

    /**
     * @return \yii\db\ActiveQuery
     */
    public function getVacancyEmployments()
    {
        return $this->hasMany(VacancyEmployment::className(), ['employment_id' => 'employment_id']);
    }
}
