<?php

namespace common\models;

use Yii;

/**
 * This is the model class for table "option_lang".
 *
 * @property integer $option_lang_id
 * @property integer $option_id
 * @property integer $language_id
 * @property string $value
 *
 * @property Language $language
 * @property Option $option
 */
class OptionLang extends \yii\db\ActiveRecord
{
    /**
     * @inheritdoc
     */
    public static function tableName()
    {
        return 'option_lang';
    }

    /**
     * @inheritdoc
     */
    public function rules()
    {
        return [
            [['option_id', 'language_id'], 'integer'],
            [['value'], 'string']
        ];
    }

    /**
     * @inheritdoc
     */
    public function attributeLabels()
    {
        return [
            'option_lang_id' => Yii::t('app', 'option_lang_id'),
            'option_id' => Yii::t('app', 'option_id'),
            'language_id' => Yii::t('app', 'language_id'),
            'value' => Yii::t('app', 'value'),
        ];
    }

    /**
     * @return \yii\db\ActiveQuery
     */
    public function getLanguage()
    {
        return $this->hasOne(Language::className(), ['language_id' => 'language_id']);
    }

    /**
     * @return \yii\db\ActiveQuery
     */
    public function getOption()
    {
        return $this->hasOne(Option::className(), ['option_id' => 'option_id']);
    }
}
