<?php

namespace common\models;

use Yii;

/**
 * This is the model class for table "project_specialization".
 *
 * @property integer $project_specialization_id
 * @property integer $project_id
 * @property integer $specialization_id
 *
 * @property Project $project
 * @property Specialization $specialization
 */
class ProjectSpecialization extends \yii\db\ActiveRecord
{
    /**
     * @inheritdoc
     */
    public static function tableName()
    {
        return 'project_specialization';
    }

    /**
     * @inheritdoc
     */
    public function rules()
    {
        return [
            [['project_id', 'specialization_id'], 'integer'],
            [['project_id'], 'exist', 'skipOnError' => true, 'targetClass' => Project::className(), 'targetAttribute' => ['project_id' => 'project_id']],
            [['specialization_id'], 'exist', 'skipOnError' => true, 'targetClass' => Specialization::className(), 'targetAttribute' => ['specialization_id' => 'specialization_id']],
        ];
    }

    /**
     * @inheritdoc
     */
    public function attributeLabels()
    {
        return [
            'project_specialization_id' => Yii::t('app', 'project_specialization_id'),
            'project_id' => Yii::t('app', 'project_id'),
            'specialization_id' => Yii::t('app', 'specialization_id'),
        ];
    }

    /**
     * @return \yii\db\ActiveQuery
     */
    public function getProject()
    {
        return $this->hasOne(Project::className(), ['project_id' => 'project_id']);
    }

    /**
     * @return \yii\db\ActiveQuery
     */
    public function getSpecialization()
    {
        return $this->hasOne(Specialization::className(), ['specialization_id' => 'specialization_id']);
    }
}
