<?php

namespace common\models;

use Yii;
use yii\base\Model;
use yii\data\ActiveDataProvider;
use common\models\UserInfo;

/**
 * UserInfoSearch represents the model behind the search form about `common\models\UserInfo`.
 */
class UserInfoSearch extends UserInfo
{
    /**
     * @inheritdoc
     */
    public function rules()
    {
        return [
            [['user_id', 'view_count', 'user_info_id', 'contract', 'estimate', 'purchase', 'delivery'], 'integer'],
            [['busy', 'date_visit', 'experience', 'rank', 'salary', 'job', 'location', 'soft', 'guarantee', 'about'], 'safe'],
            [['prepayment'], 'number'],
        ];
    }

    /**
     * @inheritdoc
     */
    public function scenarios()
    {
        // bypass scenarios() implementation in the parent class
        return Model::scenarios();
    }

    /**
     * Creates data provider instance with search query applied
     *
     * @param array $params
     *
     * @return ActiveDataProvider
     */
    public function search($params)
    {
        $query = UserInfo::find();

        $dataProvider = new ActiveDataProvider([
            'query' => $query,
        ]);

        $this->load($params);

        if (!$this->validate()) {
            // uncomment the following line if you do not want to return any records when validation fails
            // $query->where('0=1');
            return $dataProvider;
        }

        $query->andFilterWhere([
            'user_id' => $this->user_id,
            'view_count' => $this->view_count,
            'date_visit' => $this->date_visit,
            'user_info_id' => $this->user_info_id,
            'contract' => $this->contract,
            'estimate' => $this->estimate,
            'purchase' => $this->purchase,
            'delivery' => $this->delivery,
            'prepayment' => $this->prepayment,
        ]);

        $query->andFilterWhere(['like', 'busy', $this->busy])
            ->andFilterWhere(['like', 'experience', $this->experience])
            ->andFilterWhere(['like', 'rank', $this->rank])
            ->andFilterWhere(['like', 'salary', $this->salary])
            ->andFilterWhere(['like', 'job', $this->job])
            ->andFilterWhere(['like', 'location', $this->location])
            ->andFilterWhere(['like', 'soft', $this->soft])
            ->andFilterWhere(['like', 'guarantee', $this->guarantee])
            ->andFilterWhere(['like', 'about', $this->about]);

        return $dataProvider;
    }
}
