<?php

use yii\db\Migration;

class m160217_131655_currency_connection extends Migration
{
    public function up()
    {
        $this->addColumn('{{%user_info}}', 'salary_currency', $this->integer()->defaultValue(3));
        $this->addColumn('{{%vacancy}}', 'salary_currency', $this->integer()->defaultValue(3));
        $this->addColumn('{{%project}}', 'budget_currency', $this->integer()->defaultValue(3));
        $this->addForeignKey('user_info_salary_currency', '{{%user_info}}', 'salary_currency', '{{%currency}}', 'currency_id', 'SET DEFAULT', 'CASCADE');
        $this->addForeignKey('vacancy_salary_currency', '{{%vacancy}}', 'salary_currency', '{{%currency}}', 'currency_id', 'SET DEFAULT', 'CASCADE');
        $this->addForeignKey('project_budget_currency', '{{%project}}', 'budget_currency', '{{%currency}}', 'currency_id', 'SET DEFAULT', 'CASCADE');
    }

    public function down()
    {
        $this->dropForeignKey('user_info_salary_currency', '{{%user_info}}');
        $this->dropForeignKey('vacancy_salary_currency', '{{%vacancy}}');
        $this->dropForeignKey('project_budget_currency', '{{%project}}');
        $this->dropColumn('{{%user_info}}', 'salary_currency');
        $this->dropColumn('{{%vacancy}}', 'salary_currency');
        $this->dropColumn('{{%project}}', 'budget_currency');
    }
}
