<?php
    /**
     * @var Blog $blog
     */
    use common\components\Request;
    use common\models\Blog;
    use common\modules\file\widgets\ImageUploader;
    use mihaildev\ckeditor\CKEditor;
use mihaildev\elfinder\ElFinder;
use yii\helpers\Html;
    use yii\widgets\ActiveForm;

    $this->title = 'Блог';
    $this->params[ 'breadcrumbs' ][] = $this->title;
?>
<div class="login-left-column-title"><?= $this->title ?></div>

<?php
    $form = ActiveForm::begin();
?>

<div class="input-blocks-wrapper full-blocks data-block">
    <?= !empty($blog->date_add)? "Дата создания: $blog->date_add" :""?>
</div>
<div class="style">
    <div class="input-blocks-wrapper full-blocks">
        <div class="input-blocks">
            <?= $form->field($blog, 'name')
                 ->textInput (['class'=> 'custom-input-2 fix-input-2']); ?>
        </div>
    </div>

    <div class="input-blocks-wrapper full-blocks admin-editor-bl">
        <div class="input-blocks">

             <?= $form->field($blog, 'description')->widget(CKEditor::className(),
                [
                    'editorOptions' => ElFinder::ckeditorOptions('elfinder',[
                            'preset' => 'full', //разработанны стандартные настройки basic, standard, full данную возможность не обязательно использовать
                            'inline' => false, //по умолчанию false]),
                            'allowedContent' => true,
                            'filebrowserUploadUrl'=>Yii::$app->getUrlManager()->createUrl('file/uploader/images-upload')
                        ]
                    )
                ]) ?>
        </div>
    </div>

</div>


<div class="input-blocks-wrapper admin-avatar admin-blog-min-img">
    <?= ImageUploader::widget([
        'model'=> $blog,
        'field'=>'cover',
        'size' => [
            [
                'width'=>340,
                'height'=>260,
            ]
        ],
        'multi'=>false,
        'gallery' =>$blog->cover,
        'name' => 'Загрузить миниатюру статьи'
    ]);
    ?>
</div>

<div class="input-blocks-wrapper">
    <div class="admin-save-btn skills-save-btn admin-add-remove-wr style">
        <?= Html::submitButton($blog->isNewRecord? Yii::t('app', 'add'):'Обновить', [ 'class' => 'input-blocks-wrapper button' ]) ?>
        <div class="admin-remove-note">
            <?php
            if(!$blog->isNewRecord) {
                echo Html::a(Yii::t('app', 'delete'), [
                    'accounts/blog-delete',
                    'id' => $blog->blog_id,
                ], [
                    'title'        => Yii::t('app', 'delete'),
                    'aria-label'   => Yii::t('app', 'delete'),
                    'data-confirm' =>  Yii::t('app', 'delete_confirm'),
                    'data-method'  => 'post',
                    'data-pjax'    => 0,
                ]);
            }
            ?>
        </div>

        <div class="admin-back-note">
            <?= Html::a('вернуться', Request::getIsLocal(\Yii::$app->request->referrer)?\Yii::$app->request->referrer:['accounts/blog' ]) ?>
        </div>
    </div>
</div>


<?php
    $form->end();
?>
