<?php
    use common\models\Message;
    use common\models\Option;
    use kartik\rating\StarRating;
    use yii\helpers\Html;
    use yii\widgets\ActiveForm;
    use common\models\User;

    $this->registerJsFile("/js/jmousewhell.js");
    $this->registerJsFile("/js/jscroll.js");
    $this->title = 'Мой профиль';
    $this->params[ 'breadcrumbs' ][] = $this->title;;

?>

<div class="section-box content">
    <div class="section-box-15">
        <div class="box-wr">
            <div class="box-all">
                <div class="section-box">
                    <div class="cabinet-message-read-autor-wr style">
                        <div class="cabinet-message-read-foto-wr">
                            <div class="cabinet-message-read-foto"><?= Html::a(Html::img($chat->interlocutor->userInfo->image), $chat->interlocutor->link, ['target' => '_blank']); ?></div>
                        </div>
                        <div class="cab-mes-read-cont">
                            <div class="cab-mes-read-cont-title"><?= $chat->interlocutor->userInfo->name ?></div>
                            <div class="cab-mes-read-cont-stars">
                                <?php
                                    echo StarRating::widget([
                                        'name'          => 'rating_messange',
                                        'value'         => $chat->interlocutor->userInfo->rating,
                                        'pluginOptions' => [
                                            'displayOnly' => true,
                                            'size'        => 'xxs',
                                            'min'         => 0,
                                            'max'         => 10,
                                            'stars'       => 10,
                                        ],
                                    ]);
                                ?>
                            </div>
                            <div class="cab-mes-read-cont-com"><?= count($chat->interlocutor->comments) ?> мнений</div>
                            <div class="cab-mes-read-cont-soc">
                                <?php
                                if(!empty($chat->interlocutor->userInfo->social_fb)) {
                                    echo Html::a(Html::img('/images/ico-fb.png'), "{$chat->interlocutor->userInfo->social_fb}", [ 'target' => '_blank' ]);
                                }
                                    if(!empty($chat->interlocutor->userInfo->social_t)) {
                                        echo Html::a(Html::img('/images/ico-tw.png'), "{$chat->interlocutor->userInfo->social_t}", [ 'target' => '_blank' ]);
                                    }
                                    if(!empty($chat->interlocutor->userInfo->social_in)) {
                                        echo Html::a(Html::img('/images/ico-in.png'), "{$chat->interlocutor->userInfo->social_in}", [ 'target' => '_blank' ]);
                                    }
                                    if(!empty($chat->interlocutor->userInfo->social_vk)) {
                                        echo Html::a(Html::img('/images/ico-vk.png'), "{$chat->interlocutor->userInfo->social_vk}", [ 'target' => '_blank' ]);
                                    }
                                ?>
                            </div>
                        </div>
                        <div class="performance-vacancy-add-favorite">
                            <?php
                                echo Html::a('', [ '#' ], [
                                    'class' => $chat->interlocutor->isBookmarked ? 'artbox_bookmark_remove_performer' : 'artbox_bookmark_add_performer',
                                    'data'  => [ 'id' => $chat->interlocutor->id ],
                                ]);
                            ?>
                        </div>
                        <div class="cab-mes-read-last-visit">
                            <div class="cab-mes-read-min-bl">
                                <div class="profile-phone-site style">
                                    <div class="style">
                                        <div class="profile-phone">
                                            <img src="/images/sidebar-ico/ico-2.png" alt="">
                                            <span style="font-size: 13px" class="sidebar-views-txt">На сайте: </span><?= $chat->interlocutor->liveTime ?>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="cab-mes-read-min-bl">
                                <div class="profile-phone-site style">
                                    <?php foreach($phones as $phone): ?>
                                        <div class="style">
                                            <div class="profile-phone">
                                                <img src="/images/ico-phone.png" alt=""/>
                                                <span><?= $phone[ 'phone' ] ?></span>
                                            </div>
                                        </div>
                                    <?php endforeach; ?>
                                </div>
                            </div>
                            <div class="cab-mes-read-min-bl">
                                <div class="profile-phone-site style">
                                    <div class="style">
                                        <div class="profile-phone">
                                            <img src="/images/sidebar-ico/ico-3.png" alt="">
                                            <span style="font-size: 13px" class="sidebar-views-txt">Последний визит:<br></span>
                                            <p><?= $chat->interlocutor->userInfo->lastVisit ?></p>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="cab-mes-read-min-bl">
                                <div class="profile-phone-site style">
                                    <?php foreach($sites as $site): ?>
                                        <div class="style">
                                            <div class="profile-site">
                                                <img src="/images/ico-site.png" alt=""/>
                                                <a href="http://<?= $site[ 'site' ] ?>" target="_blank">Сайт</a>
                                            </div>
                                        </div>
                                    <?php endforeach; ?>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="cabinet-message-read-wr style">
                        <?php
                        if(!empty($chat->messages)) {
                            ?>
                            <div class="comments_block">
                                <div class="content">
                                    <?php foreach($chat->messages as $message): ?>

                                        <?php if($message->isMy()): ?>
                                            <div class="comment right">
                                                <div class="author_pic"><?= Html::a(Html::img($message->user->minImg($message->user->image, 48, 48)), User::findIdentity($message->user_id)->link, ['target' => '_blank']); ?></div>
                                                <div class="comment_text">
                                                    <?= $message->text ?>
                                                    <div class="comment_time">
                                                        <?= $message->date ?>
                                                    </div>
                                                </div>
                                                <?php if($message->filesList): ?>
                                                    <div class="offer_link">
                                                        <?php foreach($message->filesList as $file): ?>
                                                            <?= Html::a($file->name, $file->dir, [ 'target' => '_blank' ]); ?>
                                                        <?php endforeach; ?>
                                                    </div>
                                                <?php endif; ?>
                                                <div style="clear:both;"></div>
                                            </div>
                                        <?php else: $message->status = $message::READ_MESSAGE; $message->update();?>
                                            <div class="comment left">
                                                <div class="author_pic"><?= Html::a(Html::img($message->user->minImg($message->user->image, 48, 48)), User::findIdentity($message->user_id)->link, ['target' => '_blank']); ?></div>
                                                <div class="comment_text">
                                                    <?= $message->text ?>
                                                    <div class="comment_time">
                                                        <?= $message->date ?>
                                                    </div>
                                                </div>
                                                <?php if($message->filesList): ?>
                                                    <div class="offer_link">
                                                        <?php foreach($message->filesList as $file): ?>
                                                            <?= Html::a($file->name, $file->dir, [ 'target' => '_blank' ]); ?>
                                                        <?php endforeach; ?>
                                                    </div>
                                                <?php endif; ?>
                                                <div style="clear:both;"></div>
                                            </div>
                                        <?php endif; ?>
                                    <?php endforeach; ?>
                                    <div style="height:20px;"></div>
                                </div>
                            </div>
                        <?php
                        }
                        ?>
                        <div class="comment_type">
                            <?php $form = ActiveForm::begin([
                                'method'  => 'post',
                                'options' => [ 'enctype' => 'multipart/form-data' ],
                            ]); ?>

                            <?= $form->field(new Message(), 'text')
                                     ->textarea([ 'class' => 'message_text' ]); ?>
                            <input type="submit" class="send_mess_but" value="Отправить">
                            <div class="inputfile">
                                <div class="tender-file-wr">
                                    <?= $form->field(new Message(), 'file[]')
                                             ->fileInput([ 'class' => 'multi' ])
                                             ->label(false) ?>
                                    <a href="#" class="addfilemulti">Прикрепить файл</a>
                                    <div class="max-size">Максимальный размер файла 5 МБ</div>
                                </div>
                            </div>
                            <?php $form::end(); ?>
                        </div>
                    </div>
                </div>
            </div>

        </div>

    </div>
</div>
