<?php

    use common\components\Request;
    use yii\base\View;
    use yii\widgets\Menu;

    \frontend\assets\AdminAsset::register($this);
    /**
     * @var string $content
     * @var View   $this
     */
    $this->beginContent('@app/views/layouts/main.php');
?>
    <div class="section-box admin-page">
        <div class="box-wr">
            <div class="box-all">
                <div class="login-right-column">
                    <div class="admin-my-page">Моя страница</div>
                    <?php
                        $item = [
                            [
                                'label'   => 'Учетные данные',
                                'url'     => [ 'accounts/general' ],
                                'options' => [ 'class' => 'admin-menu-icons admin-menu-ico-1', ],
                            ],
                            [
                                'label' => 'Контакты',
                                'url'   => [ 'accounts/contacts' ],
                            ],
                            [
                                'label' => 'Услуги',
                                'url'   => [ 'accounts/service' ],
                            ],

                            [
                                'label' => 'Описание',
                                'url'   => [ 'accounts/description' ],
                            ],

                            [
                                'label'  => Yii::t('app', 'Your projects'),
                                'url'    => [ 'accounts/projects' ],
                                'active' => preg_match('/^projects.*$/', $this->context->action->id) ? true : false,
                            ],
                            [
                                'label'  => 'Портфолио',
                                'url'    => [ 'accounts/portfolio' ],
                                'active' => preg_match('/^portfolio.*$/', $this->context->action->id) ? true : false,
                            ],
                            [
                                'label'  => "Портфолио участник <span class='ico_num'>{$this->params['portfolio_user_count']}</span>",
                                'encode' => false,
                                'url'    => [ 'accounts/participant' ],
                                'active' => preg_match('/^participant.*$/', $this->context->action->id) ? true : false,
                            ],
                            [
                                'label'  => 'Блог',
                                'url'    => [ 'accounts/blog' ],
                                'active' => preg_match('/^blog.*$/', $this->context->action->id) ? true : false,
                            ],
                            [
                                'label'  => 'Галерея Изображений',
                                'url'    => [ 'accounts/gallery' ],
                                'active' => preg_match('/^gallery(?!-video).*$/', $this->context->action->id) ? true : false,
                            ],
                            [
                                'label' => 'Галерея Видео',
                                'url'   => [ 'accounts/gallery-video' ],
                            ],
                            [
                                'label'   => 'Сообщения',
                                'url'     => [ 'chat/list' ],
                                'options' => [ 'class' => 'admin-menu-icons admin-menu-ico-2', ],
                            ],
                            [
                                'label' => 'Уведомления о заказах',
                                'url'   => [ '/projects' ],
                            ],
                            [
                                'label'   => 'Закладки',
                                'url'     => [ '/bookmarks' ],
                                'options' => [ 'class' => 'admin-menu-icons admin-menu-ico-3', ],
                            ],
                            [
                                'label'   => 'Настройка аккаунта',
                                'url'     => [ 'accounts/setting' ],
                                'options' => [ 'class' => 'admin-menu-icons admin-menu-ico-4', ],
                            ],

                        ];

                        if(\Yii::$app->user->identity->type == 1) {
                            array_push($item,

                                [
                                    'label' => 'Трудовой стаж',
                                    'url'   => [ 'accounts/employment' ],
                                ], [
                                    'label' => 'Дополнительные навыки',
                                    'url'   => [ 'accounts/add-skills' ],
                                ]

                            );
                        } else if(\Yii::$app->user->identity->type == 2) {
                            array_push($item, [
                                'label'  => 'Команда',
                                'url'    => [ 'accounts/team' ],
                                'active' => preg_match('/^team.*$/', $this->context->action->id) ? true : false,
                            ], [
                                'label'  => 'Вакансии',
                                'url'    => [ 'accounts/vacancy' ],
                                'active' => preg_match('/^vacancy.*$/', $this->context->action->id) ? true : false,
                            ], [
                                'label'  => "Заявки <span class='ico_num'>{$this->params['feedback_company_count']}</span>",
                                'url'    => [ 'accounts/feedback-company' ],
                                'encode' => false,
                            ]);

                        }

                        array_push($item,

                            [
                                'label' => 'На сайт',
                                'url'   => \Yii::$app->user->identity->type == 1 ? [
                                    'performer/common',
                                    'performer_id' => \Yii::$app->user->id,
                                ] : [
                                    'company/common',
                                    'company_id' => \Yii::$app->user->id,
                                ],
                            ], [
                                'label'   => 'Выход',
                                'options' => [ 'class' => 'logout-li' ],
                                'url'     => [ '/site/logout' ],
                            ]

                        );

                        echo Menu::widget([
                            'options'        => [
                                'class' => 'menu-admin',
                            ],
                            'activeCssClass' => 'active-menu-admin',
                            'items'          => $item,
                        ]);
                    ?>
                </div>

                <div class="login-left-column">
                    <?= $content ?>
                </div>

            </div>
        </div>
    </div>

<?php $this->endContent() ?>