<?php

    use yii\helpers\ArrayHelper;
    use \yii\helpers\Html;
    use yii\helpers\Url;
    use yii\widgets\ListView;
    use yii\widgets\Pjax;

    /* @var $this yii\web\View
     * @var $portfolio yii\data\ArrayDataProvider
     */
    $this->params[ 'user' ] = $user;
    $this->title = 'Proektant.net';

?>
<div class="performer-vacancy-vacant-title-reclam-wr style">

    <?php
        Pjax::begin();
    ?>
    <div class="portfolio-project-wr style">
        <div class="workplace-title style"><p><?=Yii::t('app', 'Projects')?>: <?= $portfolio->totalCount ?></p></div>
        <div class="portfolio-project-tags style">
            <?= Html::a("Все ({$count})", [
                'performer/portfolio',
                'performer_id' => $user->id,
            ], [ 'class' => !isset( $filter_id ) || empty( $filter_id ) ? "active-tag" : "" ]); ?>
            <a href="#" class="active-tag"></a>
            <?php foreach($filters as $filter): ?>
                <?= Html::a("{$filter->specialization->specialization_name} ({$filter->count})", Url::toRoute([
                    'performer/portfolio-filter',
                    'performer_id' => $user->id,
                    'filter'       => $filter->specialization->specialization_id,
                    'type'         => ( !empty( $this->params[ 'type' ] ) ) ? $this->params[ 'type' ] : NULL,
                ]), [ 'class' => isset( $filter_id ) && $filter->specialization->specialization_id == $filter_id ? "active-tag" : "" ]); ?>
            <?php endforeach; ?>

        </div>
    </div>

    <div class="style">
        <div class="portfolio-project-blocks-wrapper">
            <?= ListView::widget([
                'dataProvider' => $portfolio,
                'itemView'     => '_portfolio_list_view',
                'layout'       => "{items}\n<div class='navi-buttons-wr style'>{pager}</div>",
                'viewParams'   => [ 'parent_view' => $this ],
            ]); ?>

        </div>
    </div>
    <?php
        Pjax::end();
    ?>

</div>