<?php
    /**
     * @var yii\web\View $this
     * @var User         $user
     */
    use common\models\User;

    $this->params[ 'user' ] = $user;
    $this->title = 'Proektant.net';

?>
<div class="performer-vacancy-vacant-title-reclam-wr style">
    <div class="workplace-wr">
        <?php
            if(!empty( $user->jobs )) {
                ?>
                <div class="workplace-title style"><p>Опыт работы</p></div>
                <div class="workplace-experience-wr style">
                    <?php foreach($user->jobs as $job): ?>
                        <div class="workplace-experience-post">
                            <div class="workplace-experience-post-title"><?= $job->name ?></div>
                            <div class="workplace-experience-post-date">
                                <?php
                                    if(!empty( $job->date_start ) && !empty( $job->date_end )) {
                                        echo \Yii::$app->formatter->asDate(strtotime($job->date_start), 'php:d.m.Y') . ' - ' . \Yii::$app->formatter->asDate(strtotime($job->date_end), 'php:d.m.Y') . ' (' . $job->expTime . ')';
                                    } elseif(!empty( $job->date_start )) {
                                        echo 'с ' . \Yii::$app->formatter->asDate(strtotime($job->date_start), 'php:d.m.Y') . ' (' . $job->expTime . ')';
                                    } elseif(!empty( $job->date_end )) {
                                        echo 'до ' . \Yii::$app->formatter->asDate(strtotime($job->date_end), 'php:d.m.Y');
                                    }
                                ?>
                            </div>
                            <div class="workplace-experience-post-vacancy"><?= $job->position ?></div>
                            <div class="workplace-experience-post-vacancy">
                                <span>Достижения:</span>
                                <p><?=$job->achievement?></p>
                            </div>
                        </div>
                    <?php endforeach; ?>
                </div>
                <?php
            } else {
                echo Yii::t('app', 'Not found');
            }
        ?>
    </div>
</div>