<?php
    /**
     * @var CommentProject $model
     * @var int            $key
     * @var integer        $index
     * @var ListView       $widget
     */
    use common\models\Option;
    use common\modules\comment\models\CommentProject;
    use yii\data\ActiveDataProvider;
    use yii\helpers\Html;
    use yii\widgets\ListView;
    $chat = \Yii::$app->user->identity->getChat($model->project->user_id)->one();
?>
<div style="position: relative" class="style">
    <div class="left-left-proektant-cabinet">
        <?php
        echo Html::a($model->project->name, ['tender/view', 'tender_id' => $model->project->project_id], ['class' => 'srch-prof-title']);
        ?>
        <div class="srch-prof-budget">
            <span></span>
            Бюджет:
            <?php
            if($model->project->contractual) {
                echo 'Договорной';
            } else {
                echo $model->project->budget . ' ' . $model->project->budgetCurrency->label;
            }
            ?>
        </div>

        <div class="srch-prof-text">
            <?= $model->project->description ?>
        </div>
        <div class="srch-prof-params-wr">
            <div class="srch-prof-params srch-prof-params-city">
                <img src="/images/ico-city.png" alt=""/><span><?= $model->project->city ?></span>
            </div>
            <div class="srch-prof-params srch-prof-params-clock">
                <img src="/images/ico-clock.png" alt=""/><span><?= \Yii::$app->formatter->asDate(time($model->project->description), 'php:d.m.Y') ?></span>
            </div>
            <div class="srch-prof-params srch-prof-params-comm">
                <img src="/images/ico-comm.png" alt=""/><span><?= count($model->project->comments) ?> предложения</span>
            </div>
        </div>
    </div>

    <div class="right-proektant-cabinet">

        <table border="0" cellpadding="0" cellspacing="0" style="position: absolute;width: 100%; height: 100%; top:0; left: 0;">
            <tr>
                <td>
                    <table border="0" cellpadding="0" cellspacing="0" style="border-left: 1px solid #e8e8e8; box-sizing: border-box;padding-right: 9px; padding-left: 20px;">
                        <tr>
                            <td>
                                <div class="style right-proektant-cabinet-candidate">
                                    <table cellspacing="0" cellpadding="0" border="0">
                                        <tr>
                                            <td width="19" valign="middle"><img style="vertical-align: middle;" src="/images/cabinet/ico-<?= $model->state ?>.png" alt=""/></td>
                                            <td valign="middle" style="line-height: 12px;">
                                                <span>
                                                    <?php
                                                    switch($model->state) {
                                                        case 1:
                                                            echo 'Заказчик еще не рассмотрел Ваше предложение';
                                                            break;
                                                        case 2:
                                                            echo 'Ваша кандидатура на рассмотрении';
                                                            break;
                                                        case 3:
                                                            echo 'Вы назначены исполнителем';
                                                            break;
                                                        case 4:
                                                            echo 'Заказчик отказал Вашему предложению';
                                                            break;
                                                        case 5:
                                                            echo 'Вы отказались от данного предложения';
                                                            break;
                                                    }
                                                    ?>
                                                </span>
                                            </td>
                                        </tr>
                                    </table>


                                </div>

                                <div class="style right-proektant-cabinet-message-new">
                                    <img src="/images/cabinet/ico-6.png" alt=""/>
                                    <?php
                                    echo Html::a((empty($chat))?0:count($chat->messages) . ' сообщения', [
                                        'chat/message',
                                        'user_id' => $model->project->user_id,
                                    ]);
                                    ?>
                                </div>
                                <div class="style" style="margin-top: 22px;">
                                    <?php
                                        if($model->state == $model::STATE_DENY) {

                                        } elseif($model->state == $model::STATE_TRASH) {
                                            echo Html::a('Отменить', [ '#' ], [
                                                'data-project-id' => $model->project->project_id,
                                                'data-comment-id' => $model->comment_id,
                                                'class'           => 'artbox_project_make_new',
                                            ]);
                                        } else {
                                            echo Html::a('Отказаться', [ '#' ], [
                                                'data-project-id' => $model->project->project_id,
                                                'data-comment-id' => $model->comment_id,
                                                'class'           => 'artbox_project_make_trash',
                                            ]);
                                        }
                                    ?>
                                </div>
                            </td>
                        </tr>
                    </table>
                </td>
            </tr>
        </table>
    </div>
</div>