<?php
    /**
     * @var Project $model
     * @var View $this
     */
    use common\models\Project;
    use frontend\helpers\TextHelper;
use yii\helpers\Html;
use yii\helpers\Url;
    use yii\web\View;

?>
<div class="search-profile-blocks">
    <?= Html::a($model->name, Url::toRoute( ['tender/view','tender_id' =>$model->project_id] ), ['class' => 'srch-prof-title']) ?>
    <div class="srch-prof-budget">
        <span></span>
        Бюджет:
        <?php
        if(empty($model->contractual) && !empty($model->budget)) {
            echo $model->budget.' '.$model->budgetCurrency->label;
        } elseif(empty($model->budget)) {
            echo "Не задано";
        } else {
            echo "Договорной";
        }
        ?>
    </div>
    <div class="srch-prof-contract-wr">

           <?php if(!empty($model->parent->name)):?>
        <div class="srch-prof-contract-button">ПОДРЯД</div>
        <div class="srch-prof-contract-txt">
               <span>Из заказа: </span><?= Html::a($model->parent->name, Url::toRoute(['tender/view', 'tender_id' =>$model->parent->project_id ])) ?>
        </div>
           <?php endif; ?>

    </div>
    <div class="srch-prof-text">
        <?= TextHelper::truncateHtmlText($model->description, 1000)?>
    </div>
    <div class="srch-prof-params-wr">
        <div class="srch-prof-params srch-prof-params-city">
            <img src="/images/ico-city.png" alt=""/><span><?= $model->city?></span>
        </div>
        <div class="srch-prof-params srch-prof-params-clock">
            <img src="/images/ico-clock.png" alt=""/><span><?= Yii::$app->formatter->asDatetime($model->date_end, 'dd.MM.Y')?></span>
        </div>
        <div class="srch-prof-params srch-prof-params-comm">
            <img src="/images/ico-comm.png" alt=""/><span><?= count($model->comments) ?> предложения</span>
        </div>
    </div>
</div>