<?php
    use frontend\assets\CustomizeBootstrapAsset;
    use yii\bootstrap\BootstrapPluginAsset;
    use \yii\helpers\Html;
    use \common\models\Specialization;
    /**
     * @var $this            yii\web\View
     * @var $specializations common\models\Specialization
     */
    $this->title = 'Proektant.net';

?>
<?php
    CustomizeBootstrapAsset::register($this);
    BootstrapPluginAsset::register($this);
    $success = \Yii::$app->session->removeFlash('success');
    if(!empty( $success )) {
        echo Html::tag('div', Html::button(Html::tag('span', '×', [ 'aria-hidden' => true ]), [
                'class'        => 'close',
                'data-dismiss' => 'alert',
                'aria-label'   => 'close',
            ]).$success, [
            'class' => 'alert alert-success alert-dismissible fade in',
            'role'  => 'alert',
        ]);
    }
?>
<div class="section-box-1">
    <div class="box-wr">
        <div class="box-all">
            <div class="section-box-base">
                Самая полная база текущих и реализованных
                строительных проектов с исполнителями
            </div>
            <div class="section-box-base-block">
                <div class="base-blocks">
                    <?= Html::a('Хочу заказать проект', [ 'landing/landing-order-project' ], [ 'class' => 'base-blocks-button first_butt' ]) ?>
                    <div class="base-blocks-text">
                        <p>Лучшие компании и исполнители готовы помочь вам</p>
                    </div>
                </div>
                <div class="base-blocks">
                    <?= Html::a('Проектант/Фрилансер', [ 'landing/landing-freelance' ], [ 'class' => 'base-blocks-button second_butt' ]) ?>
                    <div class="base-blocks-text">
                        <p>
                            Частные проекты и субподряды от лучших компаний и заказчиков для вас
                        </p>
                        <p>
                            <?= Html::a('Ищу работу', [ 'landing/landing-work' ]) ?>
                            Вакансии компаний и заказчиков на полную занятость и резюме свободных проектантов
                        </p>
                    </div>
                </div>
                <div class="base-blocks">
                    <?= Html::a('Представляю компанию', [ 'landing/landing-company' ], [ 'class' => 'base-blocks-button third_butt' ]) ?>
                    <div class="base-blocks-text">
                        <p>Презентуйте лучшую команду профессиональных проектантов и получите актуальные тендеры на проектирование.</p>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
<?php
/*
?>
<div class="section-box-2">
    <div class="box-wr">
        <div class="box-all">
            <div class="menu-two-wrapp-title">Специализация работ по исполнителям</div>
            <div class="menu-two-wrapp" style="background: url('/images/menu-pic-1.jpg') 100% 100% no-repeat">
                <ul class="content-menu-first">
                    <?php foreach($specializations as $specialization): ?>
                        <li data-img="<?= $specialization->image ?>">
                            <span data-menu-bg="<?= $specialization->background ?>" style="background: <?= $specialization->background ?>"></span><a href="#"><?= $specialization->specialization_name ?></a>
                            <ul>
                                <?php foreach($specialization->children as $child_first): ?>

                                    <?php if($child_first instanceof Specialization): ?>
                                        <li>
                                            <a href="#"><?= $child_first->specialization_name ?></a>
                                            <ul>
                                                <?php foreach($child_first->children as $child_second): ?>
                                                    <?php if($child_first instanceof Specialization): ?>
                                                        <li>
                                                            <a href="#"><?= $child_second->specialization_name ?></a>
                                                        </li>
                                                    <?php endif; ?>
                                                <?php endforeach; ?>
                                            </ul>
                                        </li>
                                    <?php endif; ?>
                                <?php endforeach; ?>

                            </ul>
                        </li>
                    <?php endforeach; ?>
                </ul>
            </div>
        </div>
    </div>
</div>
<div class="section-box-3">
    <div class="box-wr">
        <div class="box-all">
            <div class="all-project-home-title_menu">
                <p>Проекты на нашем сайте</p>
                <ul>
                    <li class="project-home-active main_map_link" data-action="project"><span>Текущие</span></li>
                    <li class="main_map_link" data-action="portfolio"><span>Завершенные</span></li>
                </ul>
            </div>
        </div>
    </div>
    <div class="section-box-map">
        <div class="shadow-map"></div>
        <div id="map_main" style="width: 100%; height:100%;"></div>
    </div>
</div>
<?php
*/
?>
<div class="section-box-4">
    <div class="box-wr">
        <div class="box-all">
            <div class="federation-home-title">Зачем нужна Международная федерация проектантов</div>
            <div class="federation-home-list-wr">
                <ul class="federation-home-list">
                    <li class="federation-home-list-active"><span>Заказчикам</span></li>
                    <li><span>Компаниям</span></li>
                    <li><span>Проектантам</span></li>
                    <li><span>Проекту</span></li>
                    <li><span>Наша миссия</span></li>
                </ul>
            </div>
            <div class="federation-home-blocks-wr">
                <div class="federation-home-blocks-wr-blocks">
                    <div class="federation-home-blocks">
                        <div class="federation-home-ico"><img src="/images/ico-fed-1.png" alt=""/>
                        </div>
<!--                        <div class="federation-home-text">Описания рейтингов</div>-->
                        <div class="federation-home-text-two">Для поиска лучших Команд или Проектантов </div>
                    </div>
                    <div class="federation-home-blocks">
                        <div class="federation-home-ico"><img src="/images/ico-fed-2.png" alt=""/>
                        </div>
<!--                        <div class="federation-home-text">Вы получаете лучшую цену</div>-->
                        <div class="federation-home-text-two">Для понимания специализации Компании или Проектанта, с которой работает  или будет работать</div>
                    </div>
                    <div class="federation-home-blocks">
                        <div class="federation-home-ico"><img src="/images/ico-fed-3.png" alt=""/>
                        </div>
<!--                        <div class="federation-home-text">Гарантии получения проекта в срок</div>-->
                        <div class="federation-home-text-two">Для оценки рисков при выборе исполнителя</div>
                    </div>
                </div>

                <div class="federation-home-blocks-wr-blocks">
                    <div class="federation-home-blocks">
                        <div class="federation-home-ico"><img src="/images/ico-fed-1.png" alt=""/>
                        </div>
<!--                        <div class="federation-home-text">2Описания рейтингов</div>-->
                        <div class="federation-home-text-two">Формирование имиджа Компании и узнаваемости Заказчиками и ведущими Проектантами</div>
                    </div>
                    <div class="federation-home-blocks">
                        <div class="federation-home-ico"><img src="/images/ico-fed-2.png" alt=""/>
                        </div>
<!--                        <div class="federation-home-text">2Вы получаете лучшую цену</div>-->
                        <div class="federation-home-text-two">Для синергии с партнерами и поиска лучших Проектантов в Команду</div>
                    </div>
                    <div class="federation-home-blocks">
                        <div class="federation-home-ico"><img src="/images/ico-fed-3.png" alt=""/>
                        </div>
<!--                        <div class="federation-home-text">2Гарантии получения проекта в срок</div>-->
                        <div class="federation-home-text-two">Формирования Лучшей Команды за Проектантами которой прейдут Заказчики</div>
                    </div>
                </div>

                <div class="federation-home-blocks-wr-blocks">
                    <div class="federation-home-blocks">
                        <div class="federation-home-ico"><img src="/images/ico-fed-1.png" alt=""/>
                        </div>
<!--                        <div class="federation-home-text">3Описания рейтингов</div>-->
                        <div class="federation-home-text-two">Для оценки уровня Опыта в специализации</div>
                    </div>
                    <div class="federation-home-blocks">
                        <div class="federation-home-ico"><img src="/images/ico-fed-2.png" alt=""/>
                        </div>
<!--                        <div class="federation-home-text">3Вы получаете лучшую цену</div>-->
                        <div class="federation-home-text-two">Для представления себя Рынку как профессионала в определенной области</div>
                    </div>
                    <div class="federation-home-blocks">
                        <div class="federation-home-ico"><img src="/images/ico-fed-3.png" alt=""/>
                        </div>
<!--                        <div class="federation-home-text">3Гарантии получения проекта в срок</div>-->
                        <div class="federation-home-text-two">Для поиска Проектов в которых можно реализовать себя</div>
                    </div>
                </div>

                <div class="federation-home-blocks-wr-blocks">
                    <div class="federation-home-blocks">
                        <div class="federation-home-ico"><img src="/images/ico-fed-1.png" alt=""/>
                        </div>
<!--                        <div class="federation-home-text">4Описания рейтингов</div>-->
                        <div class="federation-home-text-two">Качество. Чем профессиональней будут исполнители, тем лучше будут приняты решения для проекта</div>
                    </div>
                    <div class="federation-home-blocks">
                        <div class="federation-home-ico"><img src="/images/ico-fed-2.png" alt=""/>
                        </div>
<!--                        <div class="federation-home-text">4Вы получаете лучшую цену</div>-->
                        <div class="federation-home-text-two">Цена. Чем меньше будет ошибок, тем более рентабельным будет Проект и окажется цена</div>
                    </div>
                    <div class="federation-home-blocks">
                        <div class="federation-home-ico"><img src="/images/ico-fed-3.png" alt=""/>
                        </div>
<!--                        <div class="federation-home-text">4Гарантии получения проекта в срок</div>-->
                        <div class="federation-home-text-two">Скорость. Чем слаженней будет командная работа профессионалов, тем выше будет скорость</div>
                    </div>
                </div>

                <div class="federation-home-blocks-wr-blocks">

                    <div class="federation-home-blocks">
                        <div class="federation-home-ico"><img src="/images/ico-fed-1.png" alt=""/>
                        </div>
                        <div class="federation-home-text">Знание</div>
<!--                        <div class="federation-home-text-two">Помочь профессиональному Проектанту (PRO=Знание*Опыт*Продуктивность) реализовать лучший(Качество) Проект(Опыт) в постоянно развивающейся и продуктивной (Скорость) Компании(Команде) для понимающих(не жадных, лучших - ) Заказчиков.</div>-->
                    </div>
                    <div class="federation-home-blocks">
                        <div class="federation-home-ico"><img src="/images/ico-fed-2.png" alt=""/>
                        </div>
                        <div class="federation-home-text">Опыт</div>
<!--                        <div class="federation-home-text-two">Постоянное развитие Рынка Проектантов и поддержка их профессионального роста</div>-->
                    </div>
                    <div class="federation-home-blocks">
                        <div class="federation-home-ico"><img src="/images/ico-fed-3.png" alt=""/>
                        </div>
                        <div class="federation-home-text">Продуктивность</div>
<!--                        <div class="federation-home-text-two"></div>-->
                    </div>

                    <div class="style new_txt_fed_home">Помочь профессиональному Проектанту реализовать лучший Проект в постоянно развивающейся и продуктивной Компании для понимающих Заказчиков</div>
                </div>
            </div>
        </div>
    </div>
</div>