<?php
    use common\models\LoginForm;
    use yii\helpers\Html;
    use yii\widgets\ActiveForm;

    /**
     * @var yii\web\View $this
     * @var yii\widgets\ActiveForm $form
     * @var LoginForm $model
     */
    $this->title = 'Авторизация';
    $this->params[ 'breadcrumbs' ][] = $this->title;
?>
<div class="box-wr">
    <div class="box-all">
        <div class="form_site_logn-wr">
            <div class="form_site_logn_">
                <h1><?php echo Html::encode($this->title); ?></h1>

                <?php
                if(Yii::$app->getSession()
                    ->hasFlash('error')
                ) {
                    echo '<div class="alert alert-danger">' . Yii::$app->getSession()
                            ->getFlash('error') . '</div>';
                }
                ?>


                <?php //echo \nodge\eauth\Widget::widget([ 'action' => 'site/login' ]); ?>



                <?php $form = ActiveForm::begin([
                    'options' => [
                        'class' => 'form-horizontal',
                        'id'    => 'login-form',
                    ],
                ]); ?>
                <div class="input-blocks-wrapper">
                    <?php echo $form->field($model, 'username')
                        ->textInput(['class'=>'custom-input-2']); ?>
                </div>

                <div class="input-blocks-wrapper">
                    <?php echo $form->field($model, 'password')
                        ->passwordInput(['class'=>'custom-input-2']); ?>
                </div>

                <div class="login-check-remember style">
                    <?php echo $form->field($model, 'rememberMe', [ 'template' => "{input}\n{label}\n{error}" ])
                        ->label('<span></span>Запомнить меня')
                        ->checkbox([
                            'class'    => 'custom-check',
                            'checked' => 'checked',
                        ], false); ?>
                </div>


                <div class="form-actions style">
                    <?php echo Html::submitButton('Вход', [ 'class' => 'btn btn-primary login-button' ]); ?>
                </div>
                <div class="style" style="text-align: center; font-size: 13px; margin-top: 16px">
                    <?= Html::a('Восстановить пароль', [ 'site/request-password-reset' ]) ?>
                </div>

                <?php ActiveForm::end(); ?>
            </div>
        </div>

    </div>
</div>
